path: /build/build/zfs-kmod-kernel-6.1-2.2.3+2.package.tar.zst
dependencies: []
compilespec:
  steps:
  - luet i -y sys-apps/kmod virtual/modutils pkgconf virtual/libelf virtual/linux-sources
    && luet cleanup
  - emerge -j ${JOBS} sys-fs/zfs-kmod -pv -t
  - |
    emerge -j ${JOBS} sys-fs/zfs-kmod
  - |
    eval 'rm -rf /zfs-kmod || true' && mkdir /zfs-kmod && \
    luet-portage --dir /zfs-kmod sys-fs/zfs-kmod
  - for i in $(find /zfs-kmod/lib/modules/6.1.80-macaroni/extra/ -name '*.ko') ; do
    zstd ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:070f67f0484ebbd68861640468f68a8e0b03adfb6aea7015c6f062928a43dfdb
  package:
    name: zfs-kmod
    version: 2.2.3+2
    category: kernel-6.1
    requires:
    - name: kernel
      version: '>=0'
      category: seed-6.1
    annotations:
      kernel_module: true
    buildtimestamp: 2024-03-04 22:28:25.140929187 +0000 UTC m=+294.809727206
    labels:
      emerge.packages: sys-fs/zfs-kmod
      kernel.suffix: macaroni
      kernel.version: 6.1.80
    treedir: /build/packages
  package_dir: /zfs-kmod
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/.*
  - ^/usr/src/.*
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: dc5f89daae1d74f584cd78259817dbe2787f7a06d522bb8c833048d20cec5229
compressiontype: zstd
files:
- lib/modules/6.1.80-macaroni/extra/spl.ko.zst
- lib/modules/6.1.80-macaroni/extra/zfs.ko.zst
package_cacheimage: ""
runtime:
  name: zfs-kmod
  version: 2.2.3+2
  category: kernel-6.1
  requires:
  - name: zfs-common
    version: '>=0'
    category: kernel
  annotations:
    kernel_module: true
  labels:
    emerge.packages: sys-fs/zfs-kmod
    kernel.suffix: macaroni
    kernel.version: 6.1.80
